Haberler

Eski sürüm tarayıcılara belki de en büyük darbe, bakın kimden, ne şekilde geldi...



Pek çok internet sitesi geliştiricisinin hazırladığı içeriğin farklı gezinti araçlarında sorunsuz görüntülenmesinden emin olmak için başvurduğu en önemli yardımcı olan JQuery JavaScript kütüphanesinin yen sürümü yakında kullanıma sunulacak. Önceki sürümlerin aksine internetin "daha modern" yönüne hitap edecek olan kütüphanenin, artık Internet Explorer 6,7 ve 8 gibi eski tarayıcıları desteklemeyeceği belli oldu.



Şu an hizmette olan web sitelerinin neredeyse yarısında kullanılan jQuery, site kodunun farklı tarayıcı sürümlerinde sorunsuz çalışacağından emin olmak isteyen geliştiricilerin en büyük yardımcılarından. Eski tarayıcılara verilen desteği sonlandıran geliştirici ekip, sadece modern tarayıcılarla ilgilenerek çok daha verimli sonuçlar elde edebileceklerini söylüyor.

Özellikle Internet Explorer'ın eski sürümlerinde sorunsuz görüntülenmesi gereken siteler hazırlayan geliştiriciler, kütüphanenin eski sürümlerini kullanmaya devam edebilecek. Halen kullanılmakta olan 1,9 sürümü 1,10 halini aldığında 2,0 sürümüyle, 1.11 adını aldığındaysa 2,1 sürümüyle uyumlu olacak. Bu nedenle ileride uyum sorunlarıyla karşılaşmak istemeyen geliştiricilerin kütüphanelerini en azından 1,9 sürümüne yükseltmelerinde fayda olduğu belirtiliyor.

Chip.com.tr